Package Base Details: linux-amd-staging-drm-next-git

Git Clone URL: https://aur.archlinux.org/linux-amd-staging-drm-next-git.git (read-only)
Keywords: amd amdgpu dal dc radeon vega
Submitter: yurikoles
Maintainer: yurikoles
Last Packager: yurikoles
Votes: 19
Popularity: 0.62
First Submitted: 2017-08-24 18:09
Last Updated: 2019-09-26 23:56

Pinned Comments

yurikoles commented on 2017-09-25 18:29

Pull-requests are welcome: https://github.com/yurikoles/linux-amd-staging-drm-next-git

Please report bugs upstream: https://bugs.freedesktop.org/ or amd-gfx mailing list.

Please make sure that build output is not localized by adding LC_ALL=C in front of command that you use to build a kernel, e.g. LC_ALL=C makepkgs -si

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

HellishINC commented on 2017-10-17 20:53

==> Validating source files with sha256sums...
config.x86_64 ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: failed to verify linux-amd-staging-drm-next-git

setting it to 'SKIP' allows it to successfully build but fails to install though it will install via pacman -U.

Strunkenbold commented on 2017-10-05 09:08

@bradmccormack100

np, thx for fixing that.

bradmccormack100 commented on 2017-10-04 22:56

https://github.com/yurikoles/linux-amd-staging-drm-next-git/pull/2 that should resolve it.

bradmccormack100 commented on 2017-10-04 22:38

@Strunkenbold - I'm responsible for bumping this to 4.15 (indirectly)

I was after some feedback from yurikoles for my changes https://github.com/bradmccormack/linux-amd-staging-drm-next-git/commit/97a1cf7ca577a4dc30adbd1adf5f86442e9ba559 but he ended up creating a PR and merging it.

I've even left some comments about my confusion https://github.com/bradmccormack/linux-amd-staging-drm-next-git/commit/97a1cf7ca577a4dc30adbd1adf5f86442e9ba559#diff-dfa7cdd9c34798e1af82f172b0822f08R90

It's definitely Linux 4.13 RC5 but the branch name is drm-next-4.15-dc and I updated the package before I understood properly. That's on me and my misunderstanding. It's clearly 4.13 https://cgit.freedesktop.org/~agd5f/linux/tree/Makefile?h=drm-next-4.15#n2

I'll fix that up (unless yurikoles gets to it first) and create a PR to fix this. Sorry for the confusion. I didn't intend my changes to be merged yet.

Strunkenbold commented on 2017-10-04 09:40

That doesnt look right, there is no kernel 4.15 yet. The code in the branch you selected will eventually be merged if Linus accepts it. Right now its based on 4.13.

edit: More precisely its based on Linux 4.13 RC5
https://cgit.freedesktop.org/~agd5f/linux/log/?h=drm-next-4.15-dc&qt=grep&q=linux+4.1

yurikoles commented on 2017-09-25 18:29

Pull-requests are welcome: https://github.com/yurikoles/linux-amd-staging-drm-next-git

Please report bugs upstream: https://bugs.freedesktop.org/ or amd-gfx mailing list.

Please make sure that build output is not localized by adding LC_ALL=C in front of command that you use to build a kernel, e.g. LC_ALL=C makepkgs -si

tscs37 commented on 2017-09-25 04:43

Is this package abandoned, considering the PKGBUILD has been broken for a while now.

gcarq commented on 2017-09-12 21:23

pkgver() is still broken, use can use this PKGBUILD until it's fixed: https://gist.github.com/gcarq/008d8ff4483a57821817b435359a7f1e

Epdfjasfvzp commented on 2017-09-01 03:25

yurikoles please fix this package, I really need this package

scripts/kconfig/conf --olddefconfig Kconfig
#
# configuration written to .config
#
==> Starting pkgver()...
fatal: No names found, cannot describe anything.
==> ERROR: pkgver is not allowed to be empty.
==> ERROR: pkgver() generated an invalid version:

blauerhunger commented on 2017-08-29 09:12

Having the same problem here as Strunkenbold described for linux-amd-staging-git